package bt.notests.reporting;

import org.knowm.xchart.CategoryChart;
import org.knowm.xchart.CategoryChartBuilder;
import org.knowm.xchart.SwingWrapper;
import org.knowm.xchart.style.Styler.LegendPosition;

public class SimpleHistogram {

    public void displayChart() {
        /**
         * Create 24 buckets one for each hour of the day.
         */
        final int[] hourlyCounts = new int[24];
        int count = 0;
        for (int index =0; index < hourlyCounts.length; index++) {
            hourlyCounts[index] = count++;
        }

        /**
         * Convert this array into two arrays for XChart use
         */
        int[] xData = new int[hourlyCounts.length];
        int[] yData = new int[hourlyCounts.length];
        for (int index = 0; index < hourlyCounts.length; index++) {
            xData[index] = index;
            yData[index] = hourlyCounts[index];
        }

        /**
         * Create chart
         */
        CategoryChart chart = new CategoryChartBuilder()
                .width(800)
                .height(600)
                .title("Comments Histogram")
                .xAxisTitle("UTC Hour of Day")
                .yAxisTitle("Count").build();

        /**
         * Customize Chart
         */
        chart.getStyler().setLegendPosition(LegendPosition.InsideNW);

        // Series
        chart.addSeries("name", xData, yData);

        // Show it
        new SwingWrapper(chart).displayChart();

    }

    public static void main(String[] args) {

        final SimpleHistogram replyHistogram = new SimpleHistogram();
        replyHistogram.displayChart();
    }

}
